Package org.kapott.hbci.sepa.jaxb.camt_052_001_01

# Class FinancialInstitutionIdentification5Choice

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_01.FinancialInstitutionIdentification5Choice

public class FinancialInstitutionIdentification5Choice extends Object

Java class for FinancialInstitutionIdentification5Choice complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FinancialInstitutionIdentification5Choice">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice>
               <element name="BIC" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}BICIdentifier"/>
               <element name="ClrSysMmbId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}ClearingSystemMemberIdentification3Choice"/>
               <element name="NmAndAdr" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}NameAndAddress7"/>
               <element name="PrtryId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}GenericIdentification3"/>
               <element name="CmbndId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}FinancialInstitutionIdentification3"/>
             </choice>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`bic`
`protected ClearingSystemMemberIdentification3Choice`
`clrSysMmbId`
`protected FinancialInstitutionIdentification3`
`cmbndId`
`protected NameAndAddress7`
`nmAndAdr`
`protected GenericIdentification3`
`prtryId`

## Constructor Summary

Constructors
Constructor
Description
`FinancialInstitutionIdentification5Choice()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getBIC()`
Gets the value of the bic property.
`ClearingSystemMemberIdentification3Choice`
`getClrSysMmbId()`
Gets the value of the clrSysMmbId property.
`FinancialInstitutionIdentification3`
`getCmbndId()`
Gets the value of the cmbndId property.
`NameAndAddress7`
`getNmAndAdr()`
Gets the value of the nmAndAdr property.
`GenericIdentification3`
`getPrtryId()`
Gets the value of the prtryId property.
`void`
`setBIC(String value)`
Sets the value of the bic property.
`void`
`setClrSysMmbId(ClearingSystemMemberIdentification3Choice value)`
Sets the value of the clrSysMmbId property.
`void`
`setCmbndId(FinancialInstitutionIdentification3 value)`
Sets the value of the cmbndId property.
`void`
`setNmAndAdr(NameAndAddress7 value)`
Sets the value of the nmAndAdr property.
`void`
`setPrtryId(GenericIdentification3 value)`
Sets the value of the prtryId property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### bic

protected String bic

### clrSysMmbId

protected ClearingSystemMemberIdentification3Choice clrSysMmbId

### nmAndAdr

protected NameAndAddress7 nmAndAdr

### prtryId

protected GenericIdentification3 prtryId

### cmbndId

protected FinancialInstitutionIdentification3 cmbndId

## Constructor Details

### FinancialInstitutionIdentification5Choice

public FinancialInstitutionIdentification5Choice()

## Method Details

### getBIC

public String getBIC()
Gets the value of the bic property.

Returns:
  possible object is `String`

### setBIC

public void setBIC(String value)
Sets the value of the bic property.

Parameters:
  `value` - allowed object is `String`

### getClrSysMmbId

public ClearingSystemMemberIdentification3Choice getClrSysMmbId()
Gets the value of the clrSysMmbId property.

Returns:
  possible object is `ClearingSystemMemberIdentification3Choice`

### setClrSysMmbId

public void setClrSysMmbId(ClearingSystemMemberIdentification3Choice value)
Sets the value of the clrSysMmbId property.

Parameters:
  `value` - allowed object is `ClearingSystemMemberIdentification3Choice`

### getNmAndAdr

public NameAndAddress7 getNmAndAdr()
Gets the value of the nmAndAdr property.

Returns:
  possible object is `NameAndAddress7`

### setNmAndAdr

public void setNmAndAdr(NameAndAddress7 value)
Sets the value of the nmAndAdr property.

Parameters:
  `value` - allowed object is `NameAndAddress7`

### getPrtryId

public GenericIdentification3 getPrtryId()
Gets the value of the prtryId property.

Returns:
  possible object is `GenericIdentification3`

### setPrtryId

public void setPrtryId(GenericIdentification3 value)
Sets the value of the prtryId property.

Parameters:
  `value` - allowed object is `GenericIdentification3`

### getCmbndId

public FinancialInstitutionIdentification3 getCmbndId()
Gets the value of the cmbndId property.

Returns:
  possible object is `FinancialInstitutionIdentification3`

### setCmbndId

public void setCmbndId(FinancialInstitutionIdentification3 value)
Sets the value of the cmbndId property.

Parameters:
  `value` - allowed object is `FinancialInstitutionIdentification3`